Loading...
Searching...
No Matches
NoiseModel.h File Reference

Go to the source code of this file.

## Classes

class | gtsam::noiseModel::Base
| noiseModel::Base is the abstract base class for all noise models. More...
class | gtsam::noiseModel::Gaussian
| Gaussian implements the mathematical model |R*x|^2 = |y|^2 with R'*R=inv(Sigma) where y = whiten(x) = R*x x = unwhiten(x) = inv(R)*y as indeed |y|^2 = y'*y = x'*R'*R*x Various derived classes are available that are more efficient. More...
class | gtsam::noiseModel::Diagonal
| A diagonal noise model implements a diagonal covariance matrix, with the elements of the diagonal specified in a Vector. More...
class | gtsam::noiseModel::Constrained
| A Constrained constrained model is a specialization of Diagonal which allows some or all of the sigmas to be zero, forcing the error to be zero there. More...
class | gtsam::noiseModel::Isotropic
| An isotropic noise model corresponds to a scaled diagonal covariance To construct, use one of the static methods. More...
class | gtsam::noiseModel::Unit
| Unit: i.i.d. More...
class | gtsam::noiseModel::Robust
| Base class for robust error models The robust M-estimators above simply tell us how to re-weight the residual, and are isotropic kernels, in that they do not allow for correlated noise. More...
struct | gtsam::traits< noiseModel::Gaussian >
| traits More...
struct | gtsam::traits< noiseModel::Diagonal >
struct | gtsam::traits< noiseModel::Constrained >
struct | gtsam::traits< noiseModel::Isotropic >
struct | gtsam::traits< noiseModel::Unit >

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.
namespace | gtsam::noiseModel
| All noise models live in the noiseModel namespace.

## Typedefs

typedef noiseModel::Base::shared_ptr | gtsam::SharedNoiseModel
| Aliases.
typedef noiseModel::Gaussian::shared_ptr | gtsam::SharedGaussian
typedef noiseModel::Diagonal::shared_ptr | gtsam::SharedDiagonal
typedef noiseModel::Constrained::shared_ptr | gtsam::SharedConstrained
typedef noiseModel::Isotropic::shared_ptr | gtsam::SharedIsotropic

## Functions

boost::optional< Vector > | gtsam::noiseModel::checkIfDiagonal (const Matrix &M)

## Detailed Description

Date
  Jan 13, 2010

Author
  Richard Roberts
  Frank Dellaert